from setuphelpers import *
from setupdevhelpers import *


def update_package():
    # Declaring local variables
    package_updated = False
    configuration_file = 'configuration.json'

    # Interact differently with Luti
    if params.get("running_as_luti"):
        return "OK"
    
    configuration = dict()
    configuration['TypeBase'] = 'ClientServeur'

    configuration['Server'] = ask_input(
        control.package,
        "Please enter the IP address of the Charlemagne database server",
        "YOU_SERVER_IP_OR_DNS_NAME",
        raise_error=True,
    )

    configuration['Port'] = ask_input(
        control.package,
        "Please enter the Port of the Charlemagne database server",
        "4900",
        raise_error=True,
    )

    with open(configuration_file, 'w') as f:
        json.dump(configuration, f)

    # Renaming package
    if "template" in control.package:
        
        complete_control_package(control)
        complete_control_name(control)

        # User not modify the package name
        if "template" in control.package:
            error("Please rename the package.")

        version = str(int(control.get_software_version()) + 1)
    else:
        version = control.get_software_version()

    # Changing version of the package
    if Version(version) > Version(control.get_software_version()):
        print(f"Software version updated (from: {control.get_software_version()} to: {version})")
        package_updated = True
    else:
        print(f"Software version up-to-date ({version})")

    control.set_software_version(version)
    control.save_control_to_wapt()

    # Validating or not update-package-sources
    return package_updated